#    Copyright (C) 2009 Mitsuya Shibata
#
#    This file is part of qr-creator.
#
#    qr-creator is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    qr-creator is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with qr-creator.  If not, see <http://www.gnu.org/licenses/>.

# 与えられたデータを元に、二次元バーコードを返す
#  使い方： str2qr strings [ecc [version [modulesize]]]
#  必要なパッケージ： libgd-barcode-perl

use GD::Barcode::QRcode;

# 与えられたオプションの処理
my $str = $ARGV[0];
if ($ARGV[1] != "") {
	$ecc = $ARGV[1];
} else {
	$ecc = 'M';
}
if ($ARGV[2] != "") {
	$ver = $ARGV[2];
} else {
	$ver = 1;
}
if ($ARGV[3] != "") {
	$dot = $ARGV[3];
} else {
	$dot = 1;
}

my $oGdBar = GD::Barcode::QRcode->new($str,
	{ Ecc => $ecc,
	  Version => $ver,
	  ModuleSize => $dot
	});

my $oPtn = $oGdBar->barcode();

print $oPtn;

