#!/usr/bin/env python
# -*- coding: UTF-8 -*-

# TODO: http://www.glatzor.de/projects/python-distutils-extra/
# NOTE: sdist command will not work correctly.

from distutils.core import setup
import glob, os

# For i18n files
GETTEXT_NAME="qr-creator"
I18NFILES = []
os.system("cd po; make update-po")

for filepath in glob.glob("po/mo/*/LC_MESSAGES/*.mo"):
	lang = filepath[len("po/mo/"):]
	targetpath = os.path.dirname(os.path.join("share/locale",lang))
	I18NFILES.append((targetpath, [filepath]))

# Create localized desktop file
os.system("intltool-merge -d po data/qr-creator.desktop.in"\
		" build/qr-creator.desktop")

setup(name='qr-creator',
	version='0.1',
	description='Create QR barcode with GUI',
	author='Mitsuya Shibata',
	author_email='mty.shibata@gmail.com',
	url='https://launchpad.net/',
	scripts=['scripts/qr-creator'],
	packages=['qrcreator'],
	package_data={'qrcreator':['str2qr.pl']},
	data_files=[('share/qr-creator/',["data/qrcreator.glade", "data/qrcreator.ui"]),
		('share/pixmaps',["data/qr-creator.xpm", "data/qr-creator_24x24.xpm"]),
		('share/applications',["build/qr-creator.desktop"])
		]+I18NFILES,
	)

